Zum Hauptinhalt springen
POST
/
crm
/
objects
/
2026-09-beta
/
{objectType}
/
search
Search for forecasts
curl --request POST \
  --url https://api.hubapi.com/crm/objects/2026-09-beta/{objectType}/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "after": "<string>",
  "filterGroups": [
    {
      "filters": [
        {
          "operator": "BETWEEN",
          "propertyName": "<string>",
          "highValue": "<string>",
          "value": "<string>",
          "values": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "limit": 123,
  "properties": [
    "<string>"
  ],
  "sorts": [
    "<string>"
  ],
  "query": "<string>"
}
'
{
  "results": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "objectWriteTraceId": "<string>",
      "propertiesWithHistory": {},
      "url": "<string>"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

objectType
string
erforderlich

The type of CRM object to search for, such as contacts, companies, or deals.

Body

application/json

Describes a search request

after
string
erforderlich

A paging cursor token for retrieving subsequent pages.

filterGroups
object[]
erforderlich

Up to 6 groups of filters defining additional query criteria.

limit
integer<int32>
erforderlich

The maximum results to return, up to 200 objects.

properties
string[]
erforderlich

A list of property names to include in the response.

sorts
string[]
erforderlich

Specifies sorting order based on object properties.

query
string

The search query string, up to 3000 characters.

Antwort

successful operation

Represents a list of simple objects returned from an API request, along with the total count of objects available.

results
object[]
erforderlich
total
integer<int32>
erforderlich

The number of available results

paging
object
Last modified on April 9, 2026